--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: "The many_through_many plugin allow you to create a association to multiple objects using multiple join tables. For example, assume the following associations:"
- !ruby/struct:SM::Flow::VERB 
  body: "   Artist.many_to_many :albums\n   Album.many_to_many :tags\n"
- !ruby/struct:SM::Flow::P 
  body: "The many_through_many plugin would allow this:"
- !ruby/struct:SM::Flow::VERB 
  body: "   Artist.many_through_many :tags, [[:albums_artists, :artist_id, :album_id], [:albums, :id, :id], [:albums_tags, :album_id, :tag_id]]\n"
- !ruby/struct:SM::Flow::P 
  body: Which will give you the tags for all of the artist's albums.
- !ruby/struct:SM::Flow::P 
  body: "Here are some more examples:"
- !ruby/struct:SM::Flow::VERB 
  body: "  # Same as Artist.many_to_many :albums\n  Artist.many_through_many :albums, [[:albums_artists, :artist_id, :album_id]]\n\n  # All artists that are associated to any album that this artist is associated to\n  Artist.many_through_many :artists, [[:albums_artists, :artist_id, :album_id], [:albums, :id, :id], [:albums_artists, :album_id, :artist_id]]\n\n  # All albums by artists that are associated to any album that this artist is associated to\n  Artist.many_through_many :artist_albums, [[:albums_artists, :artist_id, :album_id], [:albums, :id, :id],      #    [:albums_artists, :album_id, :artist_id], [:artists, :id, :id], [:albums_artists, :artist_id, :album_id]],      #    :class=&gt;:Album\n\n  # All tracks on albums by this artist\n  Artist.many_through_many :tracks, [[:albums_artists, :artist_id, :album_id], [:albums, :id, :id]],      #    :right_primary_key=&gt;:album_id\n"
constants: []

full_name: Sequel::Plugins::ManyThroughMany
includes: []

instance_methods: []

name: ManyThroughMany
superclass: 
